Bug 178300 - bind-chroot does not update /etc/sysconfig/named during %post
bind-chroot does not update /etc/sysconfig/named during %post
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bind (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-01-19 03:35 EST by Devrim GÜNDÜZ
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0288
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:14:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Devrim GÜNDÜZ 2006-01-19 03:35:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
When I removed bind-chroot RPM, the server failed to restart. There was nothing in the logs, so I needed to dig around.

Version-Release number of selected component (if applicable):
bind-9.2.4-2

How reproducible:
Always

Steps to Reproduce:
1.Install all bind-related packages
2.Remove bind-chroot rpm
3. Try restarting bind (additional step)
  

Actual Results:  After step #2, /etc/sysconfig/named still had ROOTDIR=/var/named/chroot, which prevented named to restart. When I manually commented that line, bind successfully restarted.

Expected Results:  ROOTDIR line in /etc/sysconfig/named needs to be removed after the uninstallation of bind-chroot packages.

Additional info:
Comment 1 Jason Vas Dias 2006-01-19 10:45:00 EST
Yes, this problem has already been fixed, both with the latest bind RHEL-4
update release candidate, bind-9.2.4-16.EL4, available from:
  http://people.redhat.com/~jvdias/bind/RHEL-4/9.2.4-16.EL4  ,
and with bind-9.3.2 for RHEL-4, available from:
  http://people.redhat.com/~jvdias/bind/RHEL-4/9.3.2-1.EL4 .
Hopefully, a new bind release will be in the next RHEL-4 update release that
will fix this problem.
Comment 2 Devrim GÜNDÜZ 2006-01-19 10:48:41 EST
Thanks.
Comment 6 Jason Vas Dias 2006-03-27 11:10:26 EST
No one has suggested re-basing bind to fix this bug.
Changing Dev NAK to Dev ACK.
Comment 9 Bob Johnson 2006-04-11 12:18:23 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 12 Red Hat Bugzilla 2006-08-10 17:14:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0288.html

Note You need to log in before you can comment on or make changes to this bug.